//CFESCredits - [2020-04-13 11:57:46]
#ifndef _CFESCREDITS_H_
#define _CFESCREDITS_H_

#include "common.h"
#include "CFEScreen.h"

/*
001534E0 CFESCredits::CFESCredits()
00128106 CFESCredits::~CFESCredits()
00127CAC CFESCredits::Init()
00127E64 CFESCredits::HeroCreditsString(int)
00127EC8 CFESCredits::Exit()
00127EE4 CFESCredits::Process()
00127F3C CFESCredits::Render2D()
00128100 CFESCredits::Render2DHUD()
*/

class CFESCredits : public CFEScreen {
public:
	CFESCredits();                //001534E0
	virtual ~CFESCredits();       //00128106
	virtual void Init();          //00127CAC
	virtual void Exit();          //00127EC8
	virtual void Process();       //00127EE4
	virtual void Render2D();      //00127F3C
	virtual void Render2DHUD();   //00128100
	wchar_t * HeroCreditsString(int);  //00127E64

	int filed_10;
	int filed_14;
	const   wchar_t  **   filed_18;
	uint16 *filed_1c;
	float filed_20;
	float filed_24;
	int filed_28;
	int filed_2c;
	int filed_30;
	float filed_34;
	float filed_38;
	float filed_3c;
};

#endif  //_CFESCREDITS_H_